﻿
.loading-overlay-screen-main {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100dvw;
    height: 100dvh;
    background-color: rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 900;
}

.loading-overlay-screen {
    position: fixed;
    left: 0;
    right: 0;
    top: 3.5rem;
    bottom: 3.5rem;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.spinner-loading-screen {
    background-color: #fff;
    width: 280px;
    height: 140px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.spinner-loading-screen-svg {
    width: 3.25em;
    height: 3.25em;
    transform-origin: center;
    animation: rotate4 2s linear infinite;
}

.spinner-loading-screen-circle {
    fill: none;
    stroke: #1b6ec2;
    stroke-width: 3.5px;
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    stroke-linecap: round;
    animation: dash4 1.5s ease-in-out infinite;
}

@keyframes rotate4 {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash4 {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 90, 200;
        stroke-dashoffset: -35px;
    }

    100% {
        stroke-dashoffset: -125px;
    }
}

.loadingtext-screen p {
    margin-right: 8px;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    font-weight: bold;
    color: black;
    position: relative;
}

.loadingtext-screen p::after {
    position: absolute;
    animation: b 3s infinite linear;
    color: black;
    content: "";
    left: 105%;
}

@keyframes b {
    0% {
        content: "";
    }

    10% {
        content: ".";
    }

    40% {
        content: "..";
    }

    70% {
        content: "...";
    }

    100% {
        content: "";
    }
}
